/* (A) GLOBAL */
* {
  font-family: Arial, Helvetica, sans-serif;
  box-sizing: border-box;
}
body {
  display: flex;
  min-height: 100vh;
  padding: 0; margin: 0;
}

/* (B) SIDEBAR */
/* (B1) SIDEBAR ITSELF */
#pgside {
  width: 200px;
  flex-shrink: 0;
  transition: width 0.2s;
  background: #283039;
}

/* (B2) USER OR BRANDING */
#pguser {
  display: flex;
  align-items: center;
  padding: 10px 5px;
}
#pguser img {
  width: 50px; height: 50px;
  object-fit: contain;
  margin-right: 10px;
  border-radius: 50%
}

/* (B3) SIDEBAR ITEMS */
#pgside, #pgside a { color: #fff; }
#pgside a, #pgside form{
  display: block;
  padding: 20px;
  width: 100%;
  text-decoration: none;
  cursor: pointer;
}
#pgside form button {
  background: none!important;
  border: none;
  padding: 0!important;
  /*optional*/
  font-family: arial, sans-serif;
  /*input has OS specific font-family*/
  color: #069;
  text-decoration: underline;
  cursor: pointer;
}
#pgside a.current { background: #7c1919; }
#pgside a:hover { background: #9b2323; }

/* (B4) SIDEBAR ICONS & TEXT */
#pgside i.ico, #pgside i.txt { font-style: normal; }
#pgside i.ico {
  font-size: 1.1em;
  margin-right: 10px;
}

/* (B5) SMALL SCREEN TRANSFORMATION */
@media screen and (max-width:768px) {
  #pgside { width: 70px; }
  #pgside i.txt { display: none; }
  #pgside i.ico {
    font-size: 1.5em;
    margin-right: 0;
  }
  #pguser { justify-content: center; }
  #pguser img { margin-right: 0; }
  #pgside a {
    text-align: center;
    padding: 20px 0;
  }
}

/* (A) FORM */
.form {
  max-width: 600px; /* optional */
  padding: 20px;
  border: 1px solid #eee;
  background: #f2f2f2;
}

/* (B) FIELDS & LABELS */
.form label, .form input, .form textarea, .form select, .form button {
  display: block;
  width: 100%;
}
.form label { padding: 10px 0; }
.form input, .form textarea, .form select { padding: 10px; }

/* (C) BUTTONS */
input[type=button], input[type=submit], button {
  font-size: 1em;
  font-weight: 700;
  padding: 10px;
  border: 0;
  color: #fff;
  background: #870000;
  cursor: pointer;
}
input[type=submit] { margin-top: 20px; }

#pgmain {
  flex-grow: 1;
  padding: 20px;
  background: #f2f2f2;
}


#generation-exception {

  background-color: #283039;
  color: #b7e892;
  font-family: monospace, monospace;
  width: 95%;
  white-space: pre-wrap;
  word-wrap: break-word;
  padding: 2ex;
}